## org.apache.hadoop.mapred
Interface JobHistory.Listener

Enclosing class:
  JobHistory

    public static interface JobHistory.Listener

Callback interface for reading back log events from JobHistory. This interface should be implemented and passed to JobHistory.parseHistory()

Method Summary
`void` `handle(JobHistory.RecordTypes recType, Map<JobHistory.Keys,String> values)` Callback method for history parser.

Method Detail

### handle

    void handle(JobHistory.RecordTypes recType,
                Map<JobHistory.Keys,String> values)
                throws IOException

  Callback method for history parser.

  Parameters:
    `recType` - type of record, which is the first entry in the line.
    `values` - a map of key-value pairs as thry appear in history.
  Throws:
    `IOException`

Copyright © 2009 The Apache Software Foundation